KDE 4.2 PyKDE API Reference

- KDE's Python API

# RuleParser Class Reference

`from PyKDE4.soprano import *`

Namespace: Soprano::Inference

## Detailed Description

\class RuleParser inferenceruleparser.h Soprano/Inference/RuleParser

The RuleParser can be used to parse %Soprano rule files.

\sa RuleSet.standardRuleSet()

Author:
  Sebastian Trueg <trueg@kde.org>

## Methods

| __init__ (self)
| __init__ (self, Soprano.Inference.RuleParser other)
bool | parseFile (self, QString path)
Soprano.Inference.RuleSet | rules (self)

## Method Documentation

__init__ | ( |  | self ) |

__init__ | ( | self, |
|  | Soprano.Inference.RuleParser | other
| ) |  |  |

bool parseFile | ( | self, |
|  | QString | path
| ) |  |  |

Soprano.Inference.RuleSet rules | ( |  | self ) |